# Off Ramp Quote

{% stepper %}
{% step %}

### Request Quote

You can request a quote using an existing recipient ID or by passing the settlement details directly in the payload.

{% tabs %}
{% tab title="Request Quote (with recipient)" %}

```typescript
const quote = await orda.offRamp.requestQuote({
  fromChain: '8453',  // Base
  fromToken: '0xE9185Ee218cae427aF7B9764A011bb89FeA761B4',  // BRZ
  fromAddress: '0xYourAddress',
  intent: {
    method: 'fromAmount',
    value: '10000000000000000000'  // 10 BRZ
  },
  recipientId: 'recipient-id'
});
```

{% endtab %}

{% tab title="Request Quote (inline settlement)" %}

```typescript
const quote = await orda.offRamp.requestQuote({
  fromChain: '8453',
  fromToken: '0xE9185Ee218cae427aF7B9764A011bb89FeA761B4',
  fromAddress: '0xYourAddress',
  intent: {
    method: 'usd',
    value: '100'
  },
  kycInformation: {
    taxId: '12345678901',
    taxIdCountry: 'BRA',
    email: 'user@example.com',
    name: 'User Name'
  },
  fiatSettlementDetails: {
    toCurrency: 'BRL',
    pixKey: 'user@example.com'
  }
});
```

{% endtab %}
{% endtabs %}
{% endstep %}

{% step %}

### Get Status

```typescript
const status = await orda.offRamp.getStatus(quote.transactionId);
console.log(status.status);  // 'Pending', 'Completed', 'Failed', etc.
```

{% endstep %}

{% step %}

### Wait for Completion

```typescript
await orda.offRamp.waitForCompletion(quote.transactionId, {
  intervalMs: 10000,
  timeoutMs: 1800000,
  onStatusUpdate: (status) => console.log('Status:', status)
});
```

{% endstep %}
{% endstepper %}

{% hint style="info" %}
Terminal statuses:

* Completed — Transfer successful
* Failed — Transfer failed
* Refunded — Funds returned
  {% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orda.network/developers/sdks/off-ramp-quote.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
